module HiGHS_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libhighs
const libhighs_path = "/usr/lib/libhighs.so.1"
libhighs_handle = C_NULL
get_libhighs_path() = libhighs_path
const libhighs = "libhighs.so.1"
export highs
const highs_path = "/usr/bin/highs"
highs(f::Function; kw...) = f(highs_path)
highs(; kw...) = Cmd([highs_path])
function __init__()
    global libhighs_handle = dlopen(libhighs_path)
end
end
